edu.ucsb.nceas.metacat.spatial

## Class SpatialFeatureSchema

- java.lang.Object
- - edu.ucsb.nceas.metacat.spatial.SpatialFeatureSchema

-     public class SpatialFeatureSchema
      extends java.lang.Object

  Class representing the geotools feature schemas and file paths for the spatial data cache.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `pointShpUri`
    `static java.lang.String` | `polygonShpUri`
    `static int` | `srid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialFeatureSchema()` empty constructor

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.opengis.feature.simple.SimpleFeatureType` | `getPointFeatureType()` Creates the featuretype schema for point centroids
    `static org.opengis.feature.simple.SimpleFeatureType` | `getPolygonFeatureType()` Creates the featuretype schema for polygon bounds

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### polygonShpUri

          public static java.lang.String polygonShpUri

    - #### pointShpUri

          public static java.lang.String pointShpUri

    - #### srid

          public static int srid

  - ### Constructor Detail

    - #### SpatialFeatureSchema

          public SpatialFeatureSchema()

      empty constructor

  - ### Method Detail

    - #### getPolygonFeatureType

          public static org.opengis.feature.simple.SimpleFeatureType getPolygonFeatureType()

      Creates the featuretype schema for polygon bounds

    - #### getPointFeatureType

          public static org.opengis.feature.simple.SimpleFeatureType getPointFeatureType()

      Creates the featuretype schema for point centroids

Copyright © 2023 Regents of the University of California. All Rights Reserved.